Loyalty.lt
Loyalty cards

Get loyalty card info by number or ID

Get loyalty card details including points balance. Requires partner API authentication.

GET/{locale}/shop/loyalty-cards/info

Get loyalty card details including points balance. Requires partner API authentication.

Authorization

apiKey apiSecret
X-API-Key<token>

Partner API key from the Partners Portal. Always sent together with X-API-Secret.

In: header

X-API-Secret<token>

Partner API secret. Always sent together with X-API-Key.

In: header

Query Parameters

card_id?integer

Loyalty card ID

card_number?string

Loyalty card number or QR code

user_id?integer

User ID to find their card

Response Body

curl -X GET "https://example.com/{locale}/shop/loyalty-cards/info"
Empty